## net.sf.saxon.expr
Class ExpressionParser.TemporaryContainer

    java.lang.Object
      net.sf.saxon.expr.ExpressionParser.TemporaryContainer

All Implemented Interfaces:
  Container, LocationProvider, java.io.Serializable, javax.xml.transform.SourceLocator

Enclosing class:
  ExpressionParser

protected static class ExpressionParser.TemporaryContainer
extends java.lang.Object
implements Container, LocationProvider, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ExpressionParser.TemporaryContainer(LocationMap map, int locationId)`

Method Summary
`int` `getColumnNumber()`
`Executable` `getExecutable()` Get the Executable (representing a complete stylesheet or query) of which this Container forms part
`int` `getLineNumber()`
`int` `getLineNumber(int locationId)`
`LocationProvider` `getLocationProvider()` Get the LocationProvider allowing location identifiers to be resolved.
`java.lang.String` `getPublicId()`
`java.lang.String` `getSystemId()`
`java.lang.String` `getSystemId(int locationId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionParser.TemporaryContainer

    public ExpressionParser.TemporaryContainer(LocationMap map,
                                               int locationId)

Method Detail

### getExecutable

    public Executable getExecutable()

  Description copied from interface: `Container`
  Get the Executable (representing a complete stylesheet or query) of which this Container forms part

  Specified by:
    `getExecutable` in interface `Container`

### getLocationProvider

    public LocationProvider getLocationProvider()

  Description copied from interface: `Container`
  Get the LocationProvider allowing location identifiers to be resolved.

  Specified by:
    `getLocationProvider` in interface `Container`

### getPublicId

    public java.lang.String getPublicId()

  Specified by:
    `getPublicId` in interface `javax.xml.transform.SourceLocator`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `javax.xml.transform.SourceLocator`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `javax.xml.transform.SourceLocator`

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `javax.xml.transform.SourceLocator`

### getSystemId

    public java.lang.String getSystemId(int locationId)

  Specified by:
    `getSystemId` in interface `LocationProvider`

### getLineNumber

    public int getLineNumber(int locationId)

  Specified by:
    `getLineNumber` in interface `LocationProvider`